Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.exception.util
Class ArgUtils

    java.lang.Object
      org.apache.commons.math.exception.util.ArgUtils

    public class ArgUtils

extends Object

Utility class for transforming the list of arguments passed to constructors of exceptions.

Since:
  2.2
Version:
  $Revision$ $Date$

Constructor Summary
`private` | `ArgUtils()` Private constructor

Method Summary
`static Object[]` | `flatten(Object[] array)` Transform a multidimensional array into a one-dimensional list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgUtils

    private ArgUtils()

  Private constructor

Method Detail

### flatten

    public static Object[] flatten(Object[] array)

  Transform a multidimensional array into a one-dimensional list.

  Parameters:
    `array` - Array (possibly multidimensional).
  Returns:
    a list of all the `Object` instances contained in `array`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation